Error trying to download Ruby Gems on Windows

I’m trying to download gems and every time I do I get this error:

C:\Ruby187\rubygems-1.2.0>gem install rake
ERROR: could not find gem rake locally or in a repository

I have been messing with it for two days now trying to find a solution
and I can’t. Can anyone help?

here is my gem env

RubyGems Environment:

  • RUBYGEMS VERSION: 1.2.0
  • RUBY VERSION: 1.8.7 (2008-08-11 patchlevel 72) [i386-mswin32]
  • INSTALLATION DIRECTORY: C:/Ruby187/lib/ruby/gems/1.8
  • RUBY EXECUTABLE: C:/Ruby187/bin/ruby.exe
  • EXECUTABLE DIRECTORY: C:/Ruby187/bin
  • RUBYGEMS PLATFORMS:
    • ruby
    • x86-mswin32-60
  • GEM PATHS:
    • C:/Ruby187/lib/ruby/gems/1.8
  • GEM CONFIGURATION:
    • :update_sources => true
    • :verbose => true
    • :benchmark => false
    • :backtrace => false
    • :bulk_threshold => 1000
  • REMOTE SOURCES:

On Wed, Jun 12, 2013 at 3:05 PM, Tyler Z. [email protected] wrote:

RubyGems Environment:

  • GEM CONFIGURATION:

Probably remote sources (your ruby and rubygems are both old), does it
work
if you do gem sources --add http://rubygems.org/ ?

This is what I get when I run that line.

My Ruby is an old version because its the one that we use and I reverted
to an older ruby gems because the newest one was giving me even more
issues.

C:\Ruby187\rubygems-1.2.0>gem sources --add http://rubygems.org/
Error fetching http://rubygems.org/:
SocketError: getaddrinfo: no address associated with hostname.
(http://rubygems.org/specs.4.8.gz)

On Wed, Jun 12, 2013 at 4:14 PM, Tyler Z. [email protected] wrote:

ubygems.org/specs.4.8.gz)

Googling your error turns up
http://stackoverflow.com/questions/3171951/problem-in-ruby-gems-source-installationwhich
implies that if you wait a while and try again, it might work.

-Josh

I have tried it multiple times on multiple days and it still doesn’t
work.